Forgot password

Generate new password when you forget your password.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API creates a new password when you forget your current password. Use the session ID generated by the /mfa/token/generate API in the request.

The flow chart below shows the steps involved.

API endpoint example

Resource information

URIauth/v1/mfa/password/forget
HTTP methodGET
Pagination supported?NA
Rate limitNA
Batch supportNA

Request body parameters

| Parameter

(Parameters marked with * are mandatory)Data TypeDescription
deviceId*StringUnique ID of the device used for password generation. It should be the same device used to generate the token.
brand*StringName of the brand or organisation that needs verification.
sessionId*StringUnique ID created from /mfa/token/generate API.
password*StringNew password.
confirmPassword*StringRe-enter new password.
identifierType*StringType of identifier to identify the customer. Values: MOBILE, EMAIL, USERNAME, EXTERNALID
identifierValue*StringValue of the identifier.
curl --location 'https://eu.api.capillarytech.com/auth/v1/mfa/password/forget' \
--header 'Content-Type: application/json' \
--header 'Cookie: _cfuvid=dRemgq7Qg.5EBlaabzopnNFgjUrozMPqS0k_jtCO218-1717046418965-0.0.1.1-604800000' \
--data '{
    "deviceId":"1234",
    "brand":"Bukl",
    "sessionId":"P-58cae40f-b505-4f0d-88d2-fa39242daa45",
    "password":"12345",
    "confirmPassword":"12345",
    "identifierType":"MOBILE",
    "identifierValue":"18767431754"
    }'

Response parameters

ParameterDatatypeDescription
statusobjectObject containing status information.
- successbooleanBoolean indicating the status of the request.
- codeintegerHTTP status code indicating the result. Example: 200 indicates success.
- messagestringMessage describing the status of the request.
{
    "status": {
        "success": true,
        "code": 200,
        "message": "SUCCESS"
    }
}
Body Params
string
required

Unique ID of the device used for password generation. It should be the same device used to generate the token.

string
required

Name of the brand or organisation that needs verification.

string
required

Unique ID created from /mfa/token/generate API.

string
required

The new password.

string
required

Re-enter new password.

string
enum
required

Type of identifier to identify the customer.

Allowed:
string
required

Value of the identifier.

Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json